Bug 1660221 - GDB crashes when running from a deleted directory
Summary: GDB crashes when running from a deleted directory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gdb
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 8.0
Assignee: Keith Seitz
QA Contact: Michal Kolar
Vladimír Slávik
URL:
Whiteboard:
Depends On: 1653410
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-17 20:56 UTC by Keith Seitz
Modified: 2019-06-14 02:28 UTC (History)
8 users (show)

Fixed In Version: gdb-8.2-5.el8
Doc Type: No Doc Update
Doc Text:
Clone Of: 1653410
Environment:
Last Closed: 2019-06-14 02:04:23 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Keith Seitz 2018-12-17 20:56:54 UTC
+++ This bug was initially created as a clone of Bug #1653410 +++

Steps to Reproduce:
1. mkdir /tmp/blubber
2. cd /tmp/blubber
3. rmdir /tmp/blubber
4. gdb

Actual results:
GDB crashes


Expected results:
No crash, if you can't run, then an error message.


Backtrace:
Thread 1 (Thread 0x7f4867687e80 (LWP 9644)):
#0  0x000055b5ce8680cb in target_supports_terminal_ours () at ../../gdb/target.h:1299
#1  0x000055b5ce89a5fd in vwarning (string=0x55b5ceb56c0b "%s", args=args@entry=0x7ffd4f6fb3d0) at ../../gdb/utils.c:207
#2  0x000055b5ce6e042d in warning (fmt=<optimized out>) at ../../gdb/common/errors.c:31
#3  0x000055b5ce89dc05 in perror_warning_with_name (string=<optimized out>) at /usr/include/c++/8/bits/basic_string.h:2281
#4  0x000055b5ce7bd2e4 in captured_main_1 (python_script=<synthetic pointer>: <optimized out>, context=0x7ffd4f6fb670) at ../../gdb/main.c:573
#5  captured_main (data=0x7ffd4f6fb670) at ../../gdb/main.c:1246
#6  gdb_main (args=0x7ffd4f6fb670) at ../../gdb/main.c:1284
#7  0x000055b5ce50e86f in main (argc=<optimized out>, argv=<optimized out>) at ../../gdb/gdb.c:40

--- Additional comment from Sergio Durigan Junior on 2018-11-26 19:13:33 UTC ---

Thanks for the report.  This problem has been recently fixed upstream by:

commit 20f0d60db4fb5083779c4c9182bbc692f7d2bac5
Author: Tom Tromey <tom@tromey.com>
Date:   Fri Oct 5 14:54:35 2018 -0600

    Avoid crash when calling warning too early

I'll backport the patch and release a new Fedora GDB with it soon.

--- Additional comment from Fedora Update System on 2018-11-26 20:00:41 UTC ---

gdb-8.2-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-13e565ca15

--- Additional comment from Fedora Update System on 2018-11-27 05:14:39 UTC ---

gdb-8.2-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-13e565ca15

--- Additional comment from Fedora Update System on 2018-11-29 04:58:18 UTC ---

gdb-8.2-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

--- Additional comment from Benjamin Berg on 2018-11-29 13:50:16 UTC ---

Nice, thanks!

Comment 2 Michal Kolar 2019-02-21 19:42:05 UTC
Reproduced against gdb-8.2-3.el8 and verified against gdb-8.2-5.el8.


Note You need to log in before you can comment on or make changes to this bug.